[GRASS-SVN] r46767 - in sandbox: . martinl
svn_grass at osgeo.org
svn_grass at osgeo.org
Thu Jun 23 14:48:50 EDT 2011
Author: martinl
Date: 2011-06-23 11:48:50 -0700 (Thu, 23 Jun 2011)
New Revision: 46767
Added:
sandbox/martinl/
sandbox/martinl/compile_grass.sh
sandbox/martinl/get_extensions.py
Log:
create `sandbox/martinl`
Added: sandbox/martinl/compile_grass.sh
===================================================================
--- sandbox/martinl/compile_grass.sh (rev 0)
+++ sandbox/martinl/compile_grass.sh 2011-06-23 18:48:50 UTC (rev 46767)
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# Compile GRASS 6.4, 6.5 and 7.0 (update source code from SVN repository)
+
+SRC=$HOME/src
+
+update() {
+ dir=$1
+ echo "Updating $dir..."
+ cd $SRC/$dir
+ svn up || (svn cleanup && svn up)
+}
+
+compile() {
+ dir=$1
+ version=$2
+ update $dir
+ echo "Compiling $dir..."
+ make distclean
+ ../configures.sh grass$version
+ make
+}
+
+compile grass64_release 6
+compile grass6_devel 6
+compile grass_trunk 7
+
+exit 0
Property changes on: sandbox/martinl/compile_grass.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: sandbox/martinl/get_extensions.py
===================================================================
--- sandbox/martinl/get_extensions.py (rev 0)
+++ sandbox/martinl/get_extensions.py 2011-06-23 18:48:50 UTC (rev 46767)
@@ -0,0 +1,21 @@
+#!/usr/bin/python
+
+import os
+import sys
+
+gisbase = os.environ['GISBASE'] = "/opt/src/grass_trunk/dist.x86_64-unknown-linux-gnu"
+
+sys.path.append(os.path.join(os.environ['GISBASE'], "etc", "python"))
+
+import grass.script as grass
+import grass.script.setup as gsetup
+
+def main():
+ gsetup.init(gisbase)
+
+ print grass.gisenv()
+ print grass.region()
+ return 0
+
+if __name__ == "__main__":
+ sys.exit(main())
Property changes on: sandbox/martinl/get_extensions.py
___________________________________________________________________
Added: svn:executable
+ *
More information about the grass-commit
mailing list